
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>手把手教你写脚本引擎（二）——命令脚本 / iVAN</title>

    <meta name="description" content="手把手教你写脚本引擎（二）——命令脚本 这次要实现的是一个形式最简单的脚本.这种脚本仅有命令.标号及跳转构成,看起来就跟汇编一样,不过好是比较好读的.虽然这种脚本语言的语法非常简单,但是最基本的要素还是要有的. 作为一个脚本引擎,为了可以在各种各样的合适的宿主程序中使用,脚本本身最好不要涉及到具体的领域.当然,如果这个脚本被创建的目的仅仅是为了某个领域的话,那就无所谓了.因此,一个脚本引擎需要一个检查和运行代码的机制.运行时环境的维护以及一个功能足够使用的插件系统.一个完整的脚本引擎至少需要如下部件: 1.代码数据结构.代码的数据结构">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">手把手教你写脚本引擎（二）——命令脚本</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>这次要实现的是一个形式最简单的脚本。这种脚本仅有命令、标号及跳转构成，看起来就跟汇编一样，不过好是比较好读的。虽然这种脚本语言的语法非常简单，但是最基本的要素还是要有的。</p>
<p>作为一个脚本引擎，为了可以在各种各样的合适的宿主程序中使用，脚本本身最好不要涉及到具体的领域。当然，如果这个脚本被创建的目的仅仅是为了某个领域的话，那就无所谓了。因此，一个脚本引擎需要一个检查和运行代码的机制、运行时环境的维护以及一个功能足够使用的插件系统。一个完整的脚本引擎至少需要如下部件：</p>
<p>1、代码数据结构。代码的数据结构用来存放经过分析的脚本代码。事实上解释型的脚本引擎，也就是边执行边分析代码字符串的脚本引擎是比较难做，而且效率也不高的。脚本代码经过事先分析，可以检查一出一些在运行之前就能够检查的错误。而且我们把脚本的代码重新处理成一个数据结构之后，执行也变得更加容易控制。</p>
<p>2、运行时环境。运行时环境用于存放脚本在运行的过程中产生的数据，譬如堆栈、变量和状态信息等。对于一个已知的代码，不同的运行时环境代表不同的脚本执行流程。为了让脚本可以同时（但不一定是并发）执行，将运行时环境独立出来也就显得必要了。</p>
<p>3、语法分析器。语法分析器用于将代码转换成等价的代码数据结构，并在发现代码出错的时候输出合适的错误信息。</p>
<p>4、插件。插件是脚本与外部环境交互的途径之一。有了插件系统，我们可以为脚本引擎添加额外的、跟脚本引擎无关的功能，譬如文件操作、屏幕输入输出等。如果必要的话，插件系统可以将脚本引擎与领域信息互相隔离，系统将变得更加容易使用。</p>
<p>5、虚拟机。虚拟机用于执行代码并返回相应的结果。我们在使用脚本引擎时直接跟虚拟机进行交互，虚拟机则协调上述4个部件的相互协作。</p>
<p>在知道了这些之后，我们就可以开始开发一个基于命令的脚本引擎了。为了更加详细以及明确地讲述开发过程以及原理，在这里将构造一门简单的基于命令的语言。一门语言至少还是要有分支和循环的。但是为了简化，我们将分支和循环分解成判断与跳转。语言可以自由添加标号，标号将作为跳转的目标而出现。这门语言使用如下语法：</p>
<p>&lt;值&gt;：值可以是整数、小数、字符串或名字。</p>
<p>&lt;名&gt;：名可以是变量名或者标号等，使用字母与下划线开始，后接不定数量的字母、下划线与数字。</p>
<p>&lt;名&gt;:：名字后接冒号代表一个标号。这个标号代表着一个指令的位置，用于指定跳转目标。</p>
<p>goto &lt;名&gt;：goto用于直接跳转到一个位置继续执行。</p>
<p>set &lt;名&gt; &lt;值&gt;：set用于将一个值赋值给一个指定名字的变量。这个变量不存在则创建。</p>
<p>opcode &lt;名&gt; &lt;值&gt; &lt;值&gt;：opcode可以是add、minus、mul、div、idiv或mod。这6个命令将两个值进行加、减、乘、除、整除及求余，并将结果赋值给一个指定名字的变量。这个变量不存在则创建。</p>
<p>if &lt;值&gt;[ opcode &lt;值&gt;] goto &lt;名&gt;：if用于判断一个条件并在条件满足被满足的时候跳转到指定的地方。条件可以是一个值，这个值必须是整数，并且在这个值不为0的时候条件被满足。条件也可以是一个比较，这个时候opcode可以是is、is_not、less_than、greater_than、less_equal或greater_equal，分别在第一个值等于、不等于、小于、大于、小于或等于、大于或等于第二个值的时候满足条件。</p>
<p>exit：结束执行</p>
<p>&lt;名&gt; &lt;值&gt;*：如果命令名称不是上面的5种的其中一种的话，那么这个命令将被传递给插件进行执行。这个时候，命令可以有任意的参数。</p>
<p>在这种语法下，我们可以假设宿主程序给了我们write、writeln和read命令用于输入输出，并得到一个判断输入的数字是否质数的程序：</p>
<p>write "请输入一个数字："</p>
<p><code>read Number<br />
　if Number less_then 2 goto FAIL<br />
　　if Number is 2 goto SUCCESS<br />
　set Divisor 2<br />
LOOP_BEGIN:<br />
　if Number is Divisor goto SUCCESS<br />
　mod Remainder Number Divisor<br />
　if Remainder is 0 goto FAIL<br />
　add Divisor Divisor 1<br />
　goto LOOP_BEGIN<br />
SUCCESS:<br />
　writeln Number "是质数。"<br />
　exit<br />
FAIL:<br />
　writeln Number "不是质数。"</code></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 22:19:57</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e8%bf%90%e8%a1%8c/" title="运行">运行</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%91%bd%e4%bb%a4/" title="命令">命令</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e8%84%9a%e6%9c%ac/" title="脚本">脚本</a>, <a href="https://www.iamivan.net/tag/%e5%bc%95%e6%93%8e/" title="引擎">引擎</a>, <a href="https://www.iamivan.net/tag/%e5%88%a4%e6%96%ad%e8%b4%a8%e6%95%b0/" title="判断质数">判断质数</a>, <a href="https://www.iamivan.net/tag/%e5%b0%8f%e4%ba%8e10%e7%9a%84%e8%b4%a8%e6%95%b0/" title="小于10的质数">小于10的质数</a>, <a href="https://www.iamivan.net/tag/%e8%84%9a%e6%9c%ac%e5%bc%95%e6%93%8e/" title="脚本引擎">脚本引擎</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>手把手教你写脚本引擎（二）——命令脚本的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bal4xJz.html" rel="bookmark">手把手教你写脚本引擎（一）&mdash;&mdash;挑选语言的特性</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				脚本引擎的作用在于增强程序的可配置性.从游戏到管理系统都需要脚本,甚至连工业级产品的Office.3DS Max以及AutoCAD等都添加了属于自己的脚本语言.DHTML的出现让我们可以在网页代码中嵌入脚本语言,PHP和ASP等技术的出现让我们可以将一个应用程序的界面换成网页,而逻辑使用脚本语言编写.现在脚本语言的种类繁多,Python的发展让BOOST库拥有了对Python的支持,Rails框架的出现壮大了Ruby的实力,LUA更是被大量应用在游戏开发中.Windows甚至提供了wscript			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOm8jqM.html" rel="bookmark">比较详细的手把手教你写批处理（willsort题注版）第1&sol;5页&lowbar;DOS&sol;BAT</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				另,建议Climbing兄取文不用拘泥于国内,此类技术文章,内外水平相差极大:与其修正国内只言片语,不如翻译国外优秀著述. -------------------------------------------------------- 标题:手把手教你写批处理-批处理的介绍 作者:佚名 编者:Climbing 题注:willsort 日期:2004-09-21 -------------------------------------------------------- 批处理的介绍 扩展名			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGErgkM.html" rel="bookmark">手把手教你写回调函数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				                                        手把手教你写回调函数       手把手教你写回调函数源代码   回调函数的主要功能就是提供统一的接口以及事件的通知.如果你是从事middleware,框架,提供API编程的,那么你肯定少不了要使用回调函数. 所谓提供统一接口或者事件的通知即:当发生某一事件或者出现某一个状态之后必定会进行某种操作.但是这个操作又不能写死,不同的环境不同的程序会有不同的实现,也就是说提供接口的人不想把逻辑写死,而是由调用接口的人来实现			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3Nkv7z.html" rel="bookmark">手把手教你写脚本引擎（三）&mdash;&mdash;简单的高级语言（1&comma;基本原理）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这一篇文章开始讲述如何实现一个高级语言的脚本引擎了.由于工程量较为庞大,因此将分开几篇文章讲.学习做脚本还是要从简单的东西做起的.上一篇文章介绍的命令脚本为实现高级语言的原理做了铺垫.首先,高级语言和低级语言脚本的架构是一致的.其次,为了具有较大的优化的空间,我们将把高级语言转换成低级语言,并配合一个低级语言的脚本引擎来实现高级语言的脚本引擎.当然,习惯上,在这种情况下我们把低级语言叫『指令』. 在这个阶段,我们实现的这门语言是非惰性计算的.弱类型的.仅支持基本类型.数组和函数指针的语言.作为扩			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQBRL0M.html" rel="bookmark">只有20行Javascript代码！手把手教你写一个页面模板引擎</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				AbsurdJS 作者写的一篇教程,一步步教你怎样用 Javascript 实现一个纯客户端的模板引擎.整个引擎实现只有不到 20 行代码.如果你能从头看到尾的话,还能有不少收获的.你甚至可以跟随大牛的脚步也自己动手写一个引擎.以下是全文. 不知道你有木有听说过一个基于Javascript的Web页面预处理器,叫做AbsurdJS.我是它的作者,目前我还在不断地完善它.最初我只是打算写一个CSS的预处理器,不过后来扩展到了CSS和HTML,可以用来把Javascript代码转成CSS和HTML代			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2YPBvz.html" rel="bookmark">手把手教你写Kconfig---基于tiny4412开发板</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天,我就来教大家写写最简单的Kconfig,什么是Kconfig? 我们配置过的信息最终会在这以下的两个文件中找到. 这个文件会被.c包含 include/generated/autoconf.h  这个autoconf.h中对应的就是一些宏,打开看看就明白了  这个文件根据.config生成,而.config是根据make menuconfig来进行生成,内核中的makefile包含了这个文件inlcude/config/auto.conf    简单的说吧,它是一个Linux驱动的配置文件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0YQ9jp.html" rel="bookmark">手把手教你写Kconfig---基于tiny4412开发板&lpar;增强版&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Kconfig怎么写的在上节就已经教大家写了. 这节我们来写写增强版的,因为Kconfig有太多太多可以配置的,所以这里我就不给出图片演示了,请参考上节的文章,再来看这节大家就会大彻大悟,然后自己去尝试吧. 基本上最常见的配置就是以下的这些. 文章链接如下: http://blog.csdn.net/morixinguan/article/details/54744237 在make menuconfig添加Kconfig配置简单的选项有很多的Kconfig组成./scripts/Kconfig			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOw2Rqz.html" rel="bookmark">手把手教你写脚本引擎（四）&mdash;&mdash;简单的高级语言（2，处理语法）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先是词法分析器.我们仍然能够使用&lt;构造可配置语法分析器&gt;前半部分的方法人脑画出一张合适的DFA,这个时候我们可以手工来实现.用于词法分析器的DFA只有两种状态,一种是普通状态,另一种是终结状态.所以我们可以很机械地将DFA用C++写出来. 我们要为状态编号.编号要连续,而且要从0开始,这样的话C++的编译器一般都会为switch-case的代码生成一张表,用于快速跳转.然后用下面的方法. 1:将输入的指针Input复制出一个副本,叫Current:给出一个同类型的指针Last,将其赋值为NU			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4w6nLp.html" rel="bookmark">手把手教你写脚本引擎（五）&mdash;&mdash;简单的高级语言（3，符号表）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				符号表的结构的复杂度跟语言的语义规则的复杂度有关.对于C#来说,每一个符号都附带了一大堆信息,譬如位置啦,所在的namespace啦,类型啦什么的.对于JavaScript来说,符号表几乎是不需要的,因为东西都动态了,编译时几乎不检查内容.语义分析的输出是符号表,代码生成的输入是符号表和语法树.因此语法树除了放语法相关的内容,语义相关的内容最好放到符号表里面(譬如说表达式的类型啦,语句的scope结果啦).关于一个现实中的符号表组织可以看CMinus的语义分析结果. 首先我们要解决类型的表达问题			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYXDBb.html" rel="bookmark" class="title">【资料整理】Security Features in the CRT</a>
					<div>
						     本文简要整理了 MSDN 上关于 &quot;Security Features in the CRT&quot; 方面的内容.详细参考官网.      许多老旧的 CRT 函数都有更新且更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5q6qp.html" rel="bookmark" class="title">浅谈php用户身份认证（四）</a>
					<div>
						               浅谈php用户身份认证(四)                           爆米花 2001 12,28 www.westxj.net   大家好,前面几节讲了这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOjN5p.html" rel="bookmark" class="title">ASP实现新闻中限制显示字数目</a>
					<div>
						显示 这个用在里面限制字体个数的东西: Dim rsTitle,tmpLeftrsTitle=Rs(&quot;Title&quot;)If Len(rsTitle)&gt;intTitLen The ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeVLNb.html" rel="bookmark" class="title">Flash MX 2004时间轴特效详细讲解</a>
					<div>
						特效 今天给大家总结一下Flash mx 2004中的时间轴特效,希望对大家有帮助,并且提供了一个用时间轴做的实例,至于其它的具体简单使用则没给大家实例,希望大家按照说得好好练习下Flash的时间轴特 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0kjPb.html" rel="bookmark" class="title">浅谈如何做好百度百科SEO</a>
					<div>
						做SEO的人都知道,现在百度一家独大,关键词首页几乎都是百度产品的.其中,百度百科的地位是不可动摇的,因为百科词条有一定的权威性,因此百度赋予它的圈中特别高,基本上只要你完善一个词条,几个月不管也会排 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPg5Gz.html" rel="bookmark" class="title">几何画板绘制带根号坐标点图文步骤</a>
					<div>
						  几何画板绘制带根号坐标点图文步骤          具体的操作步骤如下: 步骤一 新建参数t.打开几何画板,点击上方的&quot;数据&quot;菜单,在其下拉菜单选择&quot;新建参数&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balPBgz.html" rel="bookmark" class="title">手把手教你清理电脑键盘</a>
					<div>
						前几天当小编听到朋友说&quot;没想到2012就这么到了&quot;的时候才恍然大悟--2012年真的来了.不管怎么样,新的一年到来,自然是要告别过去,面向未来,辞旧迎新.对于像小编这样整天跟电脑打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGq5Wp.html" rel="bookmark" class="title">Photoshop制作一个漂亮的金色元宝</a>
					<div>
						  制作元宝之前,需要自己去网上搜集一些好看的元宝素材;找出自己喜欢的款式,再了解清楚构造;然后按照分解图慢慢去刻画即可. 最终效果 &lt;点小图查看大图&gt; 1.新建一个1000 * 700像 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWZQ9p.html" rel="bookmark" class="title">Word 2010 如何隐藏回车符</a>
					<div>
						  1.点击左上角&quot;文件&quot;选项卡,在菜单中选择&quot;选项&quot;按钮 2.点击&quot;显示&quot;按钮,找到&quot;段落标记&quot;选项 3.取消&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw9KVb.html" rel="bookmark" class="title">Win7中怎么安装配置与文件IIS 7？</a>
					<div>
						  A.通过用户界面安装 1.单击&quot;开始&quot;/&quot;控制面板&quot;/&quot;程序&quot;,选择&quot;打开或关闭Windows功能&quot;. B.在Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXogjp.html" rel="bookmark" class="title">U盘文件夹无故被隐藏起来</a>
					<div>
						突然发现U盘里面的文件和文件夹全部消失了或者全部变成带exe后缀名的文件,怎么回事?使用U盘的人应该经常会遇到这样的问题.像这种情况说明你的U盘已经中毒了或者曾经中过毒.病毒将我们以前的文件,文件夹隐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBK5B4M.html" rel="bookmark" class="title">office2016技术预览版下载安装流程图文详解</a>
					<div>
						  office2016技术预览版安装包解压后,发现里面有一个&quot;OfficePreview&quot;文件和&quot;Files&quot;文件夹,此时双击&quot;OfficePrev ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBaODz.html" rel="bookmark" class="title">PostgreSQL 触发器用法详解 - 1</a>
					<div>
						以PostgreSQL 9.2为例, 介绍触发器的使用. 分两部分. 包含如下内容 : 一. 1. 什么是触发器? 触发器有什么用? 创建触发器的语法? 2. 什么是触发器函数, 触发器函数可以用哪些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8K5ab.html" rel="bookmark" class="title">遵循互联网架构&OpenCurlyDoubleQuote;八荣八耻&rdquo;，解析EWS高质量架构6个维度的20个能力</a>
					<div>
						本文主要从最初的聚石塔容器服务EWS开始讲起,进而分享了EWS 高质量架构产品化的C2B方案和全渠道方案,着重说明了EWS的技术实现,包括EWS的总体架构以及EWS的功能实现等. 直播视频:点此进入  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QX9Jp.html" rel="bookmark" class="title">使用keychain永久存储数据</a>
					<div>
						使用keychain永久存储数据 https://github.com/soffes/sskeychain keychain当然还是使用开源的好:),keychain是干啥用的?这个,baidu一下你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32l77z.html" rel="bookmark" class="title">textbox-用C&num;编写的串口调试助手中 数据接收区的TextBox的自定义事件</a>
					<div>
						问题描述 用C#编写的串口调试助手中 数据接收区的TextBox的自定义事件 用C#编写的串口调试助手中 判断数据接收区的TextBox的text属性是否与预先设定的一个字符串相同,如果相同就会触发一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2e7qb.html" rel="bookmark" class="title">十大默默无闻技术人物 到底谁发明鼠标&lpar;组图&rpar;</a>
					<div>
						北京时间6月14日消息,在美国每年一度的&quot;父亲节&quot;(每年6月的第三个星期日)来临之际,美国知名科技杂志&lt;网络世界&gt;网站(networkworld.com)评出了&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRmLxb.html" rel="bookmark" class="title">阿里云HPC--人工智能加速利器</a>
					<div>
						一. 什么是阿里云HPC 阿里云HPC是阿里云高性能计算的简称,有两重含义,一重含义是阿里云高性能计算产品,另一重含义是指阿里云高性能计算团队. 作为产品来讲,是中国第一个在公共云上推出的高性能计算的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqVXWz.html" rel="bookmark" class="title">货币政策出现方向性调整不现实</a>
					<div>
						□ 包兴安 在当前经济企稳回升.但基础还不够稳固,我国经济发展的外部环境仍十分严峻的情况下,必须坚持宏观调控政策的连贯性.稳定性和可持续性.目前适度宽松的货币政策的主基调不会变,货币政策只有在实体经济 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5Dl5M.html" rel="bookmark" class="title">友善之臂Mini6410之Android开发学习笔记（1）-LED Demo</a>
					<div>
						友善之臂Mini6410之Android开发学习笔记源码同步更新,请使用git工具进行同步.关于Git工具更多信息,请参考:http://progit.org/book/zh/ git clone h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmK8QBb.html" rel="bookmark" class="title">web services-发部完WebServices启动tomcat时候</a>
					<div>
						问题描述 发部完WebServices启动tomcat时候 2013-11-4 15:16:00 org.apache.catalina.loader.WebappClassLoader valida ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL2xaM.html" rel="bookmark" class="title">使用Android的OkHttp包实现基于HTTP协议的文件上传下载&lowbar;Android</a>
					<div>
						OkHttp的HTTP连接基础虽然在使用 OkHttp 发送 HTTP 请求时只需要提供 URL 即可,OkHttp 在实现中需要综合考虑 3 种不同的要素来确定与 HTTP 服务器之间实际建立的 H ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60kLAz.html" rel="bookmark" class="title">无法读取配置节 system&period;serviceModel 因为它缺少节声明的解决方法&lowbar;win服务器</a>
					<div>
						在Windows Server2008 R2中的IIS7中部署WCF服务时报出如题错误: HTTP 错误 500.19 - Internal Server Error无法访问请求的页面,因为该页的相关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZN7vp.html" rel="bookmark" class="title">瞅瞅 这段代码看不懂</a>
					<div>
						问题描述 &lt;th&gt;转        诊&lt;/th&gt;&lt;td&gt;&lt;asp:RadioButtonListID=&quot;radlZHUANZHEN&quot;run ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlWdmp.html" rel="bookmark" class="title">如何在UpdatePanel中调用JS客户端脚本&lowbar;C&num;教程</a>
					<div>
						页面中加入了UpdatePanel后,Response.Write(&quot;&lt;script&gt;function dis (){alert('这是调用写在server的JS');}&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8y5Ob.html" rel="bookmark" class="title">flash 做闪烁文字</a>
					<div>
						操作步骤:   1.启动Flash,选择[文件]--[新建] 命令,新建一个 Flash 文档,并将舞台背景颜色设为黑色.   2.新建一个图形文件,命名为light.在编辑区中绘制出如图1所示的图形 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgWXez.html" rel="bookmark" class="title">Autodesk将推出3D打印机及配套软件平台Spark</a>
					<div>
						摘要: 已有32年历史的知名3D 设计软件开发商Autodesk 此前曾在iPad上推出123D Design,让用户能在平板上快捷地创建用于3D 打印的模型. 本周三,该公司CEO Carl Bas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YX2Wp.html" rel="bookmark" class="title">《UNIX环境高级编程（第3版）》&mdash;&mdash;1&period;2　UNIX体系结构</a>
					<div>
						1.2 UNIX体系结构 从严格意义上说,可将操作系统定义为一种软件,它控制计算机硬件资源,提供程序运行环境.我们通常将这种软件称为内核(kernel),因为它相对较小,而且位于环境的核心.图1-1显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWKW0AM.html" rel="bookmark" class="title">浅谈修改标题对网站的影响</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 大家都知道网站标题对一个网站是非常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnODPZz.html" rel="bookmark" class="title">网银大盗被捕 团伙骗取上亿资金</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 该团伙用于转账的大量银行卡和假身份 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
